- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
libfreehand::FHTransform Class Reference

`#include <FHTransform.h>`

## Public Member Functions
| FHTransform ()
| FHTransform (double m11, double m21, double m12, double m22, double m13, double m23)
| FHTransform (const FHTransform &trafo)
void | applyToPoint (double &x, double &y) const
void | applyToArc (double &rx, double &ry, double &rotation, bool &sweep, double &endx, double &endy) const

## Private Attributes
double | m_m11
double | m_m21
double | m_m12
double | m_m22
double | m_m13
double | m_m23

## Constructor & Destructor Documentation

libfreehand::FHTransform::FHTransform | ( |  | ) |

libfreehand::FHTransform::FHTransform | ( | double | m11,
|  | double | m21,
|  | double | m12,
|  | double | m22,
|  | double | m13,
|  | double | m23
| ) |  |

libfreehand::FHTransform::FHTransform | ( | const FHTransform & | trafo | ) |

## Member Function Documentation

void libfreehand::FHTransform::applyToArc | ( | double & | rx,
|  | double & | ry,
|  | double & | rotation,
|  | bool & | sweep,
|  | double & | endx,
|  | double & | endy
| ) |  | const

Referenced by libfreehand::FHArcToElement::transform().

void libfreehand::FHTransform::applyToPoint | ( | double & | x,
|  | double & | y
| ) |  | const

Referenced by libfreehand::FHMoveToElement::transform(), libfreehand::FHLineToElement::transform(), libfreehand::FHCubicBezierToElement::transform(), and libfreehand::FHQuadraticBezierToElement::transform().

## Member Data Documentation

double libfreehand::FHTransform::m_m11
| private

double libfreehand::FHTransform::m_m12
| private

double libfreehand::FHTransform::m_m13
| private

double libfreehand::FHTransform::m_m21
| private

double libfreehand::FHTransform::m_m22
| private

double libfreehand::FHTransform::m_m23
| private

The documentation for this class was generated from the following files:

- FHTransform.h
- FHTransform.cpp